# Cat Jump

A terminal-based ASCII cat jump game inspired by the classic Chrome dinosaur game.  
Jump over emoji obstacles, enjoy animated backgrounds, and rack up your score as the game speeds up!

---

## Installation

```bash
pip install cat-jump
```

---

## How to Play

```bash
cat-jump
```

---

## 🎮 Controls

| Key         | Action         |
|-------------|----------------|
| Space / ↑   | Jump           |
| Ctrl + C    | Quit the game  |
| Every 100pts| 🔔 Beep sound  |

---

## Features

- Cute animated ASCII cat
- Random emoji obstacles
- Background effects (stars, clouds, etc.)
- Progressive difficulty (faster obstacle speed)
- Physics-based jump & gravity
- 100-point milestone alerts

---

## Requirements

- Python >= 3.7
- `wcwidth` library

---

## Screenshot

```
Score: 320
   /\_/\
   ฅ •ﻌ• ฅ             💣          
                   🪵     
--------------------------------------------------
```

---

## For Developers

### Run locally

```bash
git clone https://github.com/gwondoo/cat_jump.git
cd cat_jump
python -m cat_jump.main
```

---

## 📜 License

MIT License © 2025 gwondoo
